%define major   1
%define devname %mklibname bellesip -d
%define libname %mklibname bellesip %{major}

%bcond_with tests

Name:           belle-sip
Version:        4.4.21
Release:        %mkrel 1
Summary:        Linphone sip stack
Group:          System/Libraries
License:        GPLv2
URL:            http://linphone.org/technical-corner/belle-sip/overview
Source0:        https://github.com/BelledonneCommunications/belle-sip/archive/%{version}/%{name}-%{version}.tar.xz
# (wally) fix pkgconfig file contents when building with cmake
Patch0:		belle-sip-cmake-fix-pkgconfig-pc-file.patch
BuildRequires:  cmake
BuildRequires:  bctoolbox-devel >= %{version}

%description
Belle-sip is an object oriented c written SIP stack used by Linphone.

%package -n     %{libname}
Summary:        The belle-sip library, a part of belle-sip
Group:          System/Libraries

%description -n %{libname}
The belle-sip library, a part of belle-sip.

%package -n     %{devname}
Summary:        Development libraries for belle-sip
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
Libraries and headers required to develop software with belle-sip.

%prep
%setup -q
%apply_patches

# Fix project version
sed -i -e '/belle-sip/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
    -DENABLE_STATIC:BOOL=NO \
    -DENABLE_STRICT:BOOL=NO \
    -DENABLE_TESTS:BOOL=%{?_with_tests:YES}%{?!_with_tests:NO}
%cmake_build

%install
%cmake_install

# remove static libraries
find %{buildroot} -name '*.la' -delete

%files -n %{devname}
%{_includedir}/belle-sip/
%{_libdir}/libbellesip.so
%{_libdir}/pkgconfig/belle-sip.pc
%{_libdir}/cmake/BelleSIP/
%if %{with tests}
%{_bindir}/belle_sip_tester
%dir %{_datadir}/belle_sip_tester/
%{_datadir}/belle_sip_tester/tester_hosts
%endif

%files -n %{libname}
%{_libdir}/libbellesip.so.%{major}*


%changelog
* Sat Jan 02 2021 tex - 4.4.21-1pclos2021
- new version 4.4.21
